org.apache.fop.fo.properties

## Class CommonRelativePosition

- java.lang.Object
- - org.apache.fop.fo.properties.CommonRelativePosition

    public class CommonRelativePosition
    extends Object

Store all common relative position properties. See Sec 7.12 of the XSL-FO Standard. Public "structure" allows direct member access.

### Field Summary

Fields
`Length` `bottom` The "bottom" property.
`Length` `left` The "left" property.
`int` `relativePosition` The "relative-position" property.
`Length` `right` The "right" property.
`Length` `top` The "top" property.

### Constructor Summary

Constructors
Constructor and Description
`CommonRelativePosition(PropertyList pList)` Create a CommonRelativePosition object.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### relativePosition

    public int relativePosition

The "relative-position" property.

#### top

    public Length top

The "top" property.

#### right

    public Length right

The "right" property.

#### bottom

    public Length bottom

The "bottom" property.

#### left

    public Length left

The "left" property.

### Constructor Detail

#### CommonRelativePosition

    public CommonRelativePosition(PropertyList pList)
                           throws PropertyException

Create a CommonRelativePosition object.

Parameters:
  `pList` - The PropertyList with propery values.
Throws:
  `PropertyException` - if a property exception occurs